SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Device (Embedded Server/Appliance)  >   Proteus Vendors:   BlueCat Networks
Proteus OpenSSL TLS Heartbeat Buffer Overread Lets Remote Users Obtain Potentially Sensitive Information
SecurityTracker Alert ID:  1030075
SecurityTracker URL:  http://securitytracker.com/id/1030075
CVE Reference:   CVE-2014-0160   (Links to External Site)
Date:  Apr 14 2014
Impact:   Disclosure of authentication information, Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  Exploit Included:  Yes  
Version(s): 4.x
Description:   A vulnerability was reported in Proteus. A remote user can obtain potentially sensitive information.

A remote user can trigger a buffer overread in the processing of the TLS heartbeat extension to obtain up to 64k of memory (per heartbeat request), potentially including encryption keys.

[Editor's note: This vulnerability is known as the OpenSSL heartbleed vulnerability.]

Neel Mehta of Google Security and researchers from Codenomicon reported this vulnerability.

Impact:   A remote user can obtain potentially sensitive information, including encryption keys.
Solution:   The vendor has issued a fix (Advisory KB-6745).

The vendor's advisory is available at:

http://www.bluecatnetworks.com/support/security_updates/2014

Vendor URL:  www.bluecatnetworks.com/support/security_updates/2014 (Links to External Site)
Cause:   Access control error, Boundary error

Message History:   None.


 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC